Transcend Docs

Consent Manager Deployed

Transcend can send a webhook notification whenever the consent manager is deployed..

Request Body

application/json
  1. body
version*string

The version of the airgap.js script.

Length1 <= length
bundleType*string

Whether the test or production bundle was deployed.

Length1 <= length
Value in"PRODUCTION""TEST"
extras*

Response Body

The webhook was received successfully. Currently retry functionality is not built in for other statuses

Example Requests
POST//webhook/consent-manager-deployed
Request Body
application/json
{  "version": "1.1.0",  "bundleType": "PRODUCTION",  "extras": {    "organization": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "uri": "e-shop-it",      "name": "eShopIt"    },    "airgapBundle": {      "id": "25c5ca2b-abf9-4b67-befa-2c8c16b4e838",      "name": "acme-org"    },    "user": {      "id": "391b8ecb-9bff-4630-b93c-06021d8921f3",      "name": "Jane Doe",      "email": "janedoe@acme.com"    }  }}